Bug 1613757 - OSP provider refresh fail
Summary: OSP provider refresh fail
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.8.5
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.9.4
Assignee: Sam Lucidi
QA Contact: Ido Ovadia
URL:
Whiteboard:
Depends On: 1611848
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-08-08 09:54 UTC by Satoe Imaishi
Modified: 2018-09-04 18:02 UTC (History)
8 users (show)

Fixed In Version: 5.9.4.3
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1611848
Environment:
Last Closed: 2018-09-04 18:01:56 UTC
Category: ---
Cloudforms Team: Openstack


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2561 None None None 2018-09-04 18:02:24 UTC

Comment 2 CFME Bot 2018-08-08 09:57:38 UTC
New commit detected on ManageIQ/manageiq-providers-openstack/gaprindashvili:

https://github.com/ManageIQ/manageiq-providers-openstack/commit/4894d7dae1e01a61ce0ec644195a858148352b2f
commit 4894d7dae1e01a61ce0ec644195a858148352b2f
Author:     Marek Aufart <aufi.cz@gmail.com>
AuthorDate: Tue Aug  7 08:46:14 2018 -0400
Commit:     Marek Aufart <aufi.cz@gmail.com>
CommitDate: Tue Aug  7 08:46:14 2018 -0400

    Merge pull request #330 from mansam/catch-bad-requests-during-refresh

    Catch Bad Request responses in safe_call
    (cherry picked from commit 9bc4293ee16e8977450b3002f5fd383129e3f1cc)

    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1613757

 app/models/manageiq/providers/openstack/refresh_parser_common/helper_methods.rb | 5 +
 1 file changed, 5 insertions(+)

Comment 3 Ido Ovadia 2018-08-12 11:36:40 UTC
Verified
========
CFME 5.9.4.3

Comment 6 errata-xmlrpc 2018-09-04 18:01:56 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2561


Note You need to log in before you can comment on or make changes to this bug.